apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: openslice
  labels:
    org.etsi.osl.service: osom
  name: osom
spec:
  replicas: 1
  selector:
    matchLabels:
      org.etsi.osl.service: osom
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        org.etsi.osl.service: osom
    spec:
      containers:
        - env:
            - name: SPRING_APPLICATION_JSON
              value: >-
                { 
                  "spring.activemq.brokerUrl": "tcp://artemis:61616?jms.watchTopicAdvisories=false", 
                  "spring.activemq.user": "artemis", 
                  "spring.activemq.password": "artemis", 
                  "logging.level.org.springframework" : "INFO" 
                }
          image: openslice/org.etsi.osl.osom:latest
          name: openslice-osom
          ports:
            - containerPort: 13100
          volumeMounts:
            - mountPath: /root
              name: osom-claim0
      restartPolicy: Always
      volumes:
        - name: osom-claim0
          persistentVolumeClaim:
            claimName: osom-claim0
---
apiVersion: v1
kind: Service
metadata:
  namespace: openslice
  labels:
    org.etsi.osl.service: osom
  name: osom
spec:
  ports:
    - name: "13100"
      targetPort: 13100
      port: 13100
  selector:
    org.etsi.osl.service: osom
